
D4Science Infrastructure - Task #317

manage.research-infrastructures.eu needs some love

Jun 26, 2015 06:26 PM - Andrea Dell'Amico

Status: Rejected Start date: Jun 26, 2015

Priority: Normal Due date:  

Assignee: Sandro La Bruzzo % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

The application needs a better look and lacks some basic functionalities. While waiting a more modern authentication platform, the

following changes would be very welcome:

Removal of the FP7 logo

A better look (to be decided)

The ability, for the administrators to remove users

Move the admin password out of the source code (!). Read it from a local file

The ldap server to contact should be a parameter, so that we can move the whole application to a more modern machine.

And, if it's not too difficult:

Send the welcome email from the application, after choosing the email message text

Give the ability to change the email templates from the interface.

History

#1 - Jun 26, 2015 06:27 PM - Andrea Dell'Amico

I forgot: the ability to bulk add users from a text file.

#2 - Jul 03, 2015 05:08 PM - Andrea Dell'Amico

Another problem I've just run into: it does not support UTF8. But could it be a LDAP encoding problem?

#3 - Mar 01, 2017 09:11 AM - Andrea Dell'Amico

- Status changed from New to Rejected

We will dismiss it as soon as the OpenAIRE VRE will be active and the users imported.
